Package ru.bitel.bgbilling.common.bean

# Class IPUtils

java.lang.Object
ru.bitel.bgbilling.common.bean.IPUtils

    public class IPUtils
    extends java.lang.Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type | Class | Description
  --- | --- | ---
  `static class` | `IPUtils.Netv4` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `IPUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `convertIpToString​(int ip)` | Преобразует IP в виде десятичного числа со знаком (4 байта) к dotted нотации
  `static java.lang.String` | `convertLongIpToString​(long ip)` | Преобразует представление IP адреса в виде десятичного числа в строковое представление с точками-разделителями.
  `static int` | `convertStringIPtoInt​(java.lang.String ip_value)` | Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
  `static long` | `convertStringIPtoLong​(java.lang.String ip_value)` | Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
  `static long` | `convertStringIPtoLong​(java.lang.String ip_value, long error)` | Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
  `static long` | `getMask​(int size)` | Возвращает маску сети заданной размерности
  `static IPUtils.Netv4` | `getNet​(long address, short bitmask)` |
  `static java.lang.String` | `getStringRange​(IpAddress from, IpAddress to)` |
  `static long` | `isIPaddress​(java.lang.String ipAddress)` | Разбирает валидный только ip.
  `static boolean` | `isRangeValidNet​(byte[] addrFrom, byte[] addrTo)` | Проверка, является ли диапазон адресов IP сетью.
  `static long[]` | `netMaskToRange​(long address, int netSize)` | Преобразует адрес и размер сетки в диапазон адресов.
  `static long[]` | `netMaskToRange​(long net, long mask)` | Преобразует маску и сеть в виде целых чисел без знака в диапазон IP адресов
  `static IPUtils.Netv4` | `subnet​(long address1, long address2, short bitmask)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IPUtils

    public IPUtils()

- ## Method Details

  - ### convertStringIPtoLong

    public static final long convertStringIPtoLong​(java.lang.String ip_value)
    Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
    Parameters:
      `ip_value` -
    Returns:
      IP адрес в виде десятичного числа либо 0L при ошибочном формате

  - ### convertStringIPtoLong

    public static final long convertStringIPtoLong​(java.lang.String ip_value, long error)
    Преобразует строковое представление IP адреса с точками-разделителями в десятичное число.
    Parameters:
      `ip_value` -
      `error` -
    Returns:
      IP адрес в виде десятичного числа либо error при ошибочном формате

  - ### isIPaddress

    public static long isIPaddress​(java.lang.String ipAddress)
    Разбирает валидный только ip.
    Parameters:
      `ipAddress` - строка-ip
    Returns:
      значение IP

  - ### convertLongIpToString

    public static final java.lang.String convertLongIpToString​(long ip)
    Преобразует представление IP адреса в виде десятичного числа в строковое представление с точками-разделителями.
    Parameters:
      `ip_value` -
    Returns:

  - ### convertStringIPtoInt

    public static final int convertStringIPtoInt​(java.lang.String ip_value)
    Преобразует строковое представление IP адреса с точками-разделителями в десятичное число. При этом занимается бит знака.
    Parameters:
      `ip_value` -
      `error` -
    Returns:
      IP адрес в виде десятичного числа либо 0 при ошибочном формате

  - ### convertIpToString

    public static final java.lang.String convertIpToString​(int ip)
    Преобразует IP в виде десятичного числа со знаком (4 байта) к dotted нотации
    Parameters:
      `ip` -
    Returns:

  - ### netMaskToRange

    public static final long[] netMaskToRange​(long net, long mask)
    Преобразует маску и сеть в виде целых чисел без знака в диапазон IP адресов
    Parameters:
      `net` - адрес сети
      `mask` - маска сети
    Returns:

  - ### netMaskToRange

    public static final long[] netMaskToRange​(long address, int netSize)
    Преобразует адрес и размер сетки в диапазон адресов.
    Parameters:
      `address` - любой адрес сети
      `netSize` - размер адресной части сети в битах
    Returns:

  - ### getMask

    public static final long getMask​(int size)
    Возвращает маску сети заданной размерности
    Parameters:
      `size` -
    Returns:

  - ### subnet

    public static IPUtils.Netv4 subnet​(long address1, long address2, short bitmask)

  - ### getNet

    public static IPUtils.Netv4 getNet​(long address, short bitmask)

  - ### isRangeValidNet

    public static final boolean isRangeValidNet​(byte[] addrFrom, byte[] addrTo)
    Проверка, является ли диапазон адресов IP сетью.
    Parameters:
      `addrFrom` -
      `addrTo` -
    Returns:

  - ### getStringRange

    public static java.lang.String getStringRange​(IpAddress from, IpAddress to)